#
# Tobias Grimm <tg@e-tobi.net> 
#
# Read xxv's config file and make database settings available to
# dbconfig-common

use Config::Tiny;

$xxv_config_file='/var/lib/vdr-xxv/xxvd.cfg';

#
# Read XXV config file
#
$Config = Config::Tiny->new();
$Config = Config::Tiny->read($xxv_config_file);

if ($Config)
{
    $Config->{_}; # dummy read, otherwise the first value will not be read"

    $dbuser = $Config->{General}->{USR};
    $dbpass = $Config->{General}->{PWD};

    $dsn = $Config->{General}->{DSN};
    if ($dsn =~ /.*database=([^;]*).*/) { $dbname = $1 };
    if ($dsn =~ /.*host=([^;]*).*/)     { $dbserver = $1 };
    if ($dsn =~ /.*port=([^;]*).*/)     { $dbport = $1 };
};

#
# Defaults
#
# FIXME: Handling of defaults should probably be done in dbconfig-common
#
if (not $dbname) 
{
    $dbname="xxv"; 
};

if (not $dbuser) 
{
    $dbuser="xxv"; 
};

$dbtype = 'mysql';
