#
# Tobias Grimm <tg@e-tobi.net> 
#
# Set all database parameters in the xxv's config file (used by postinst)
#

use Config::Tiny;

my $Config = Config::Tiny->read($ARGV[1]) or die Config::Tiny::errstr;

if ($ARGV[0] eq "--db")
{
    require $ARGV[2];
    $Config->{General}->{USR} = $dbuser;
    $Config->{General}->{PWD} = $dbpass;

    my $dsn = "DBI:${dbtype}:database=${dbname}";
    if ($dbserver)
    {
        $dsn = "${dsn};host=${dbserver}";
    }
    if ($dbport)
    {
        $dsn = "${dsn};port=${dbport}";
    }

    $Config->{General}->{DSN} = $dsn;
}
elsif ($ARGV[0] eq "--ports")
{
    my $porthttp = $ARGV[2];
    my $porttelnet = $ARGV[3];
    my $portinterface = $ARGV[4];
    my $porticecast = $ARGV[5];
    my $portwap = $ARGV[6];

    $Config->{HTTPD}->{Port} = $porthttp;
    $Config->{TELNET}->{Port} = $porttelnet;
    $Config->{INTERFACE}->{Port} = $portinterface;
    $Config->{MUSIC}->{port} = $porticecast;
    $Config->{WAPD}->{Port} = $portwap;
}

$Config->write($ARGV[1]) or die Config::Tiny::errstr;
